Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018845
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2011-10-24 10:252012-06-27 05:29
Reporterdmitry_mezentsevView Statuspublic 
Assigned Tonaiaramartinez 
PrioritynormalResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchpiFixed in SCM revision7d29021e833b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018845: Accounting Transactions Details default layout was not optimized

DescriptionReview default layout (grid and form) of Accounting Transactions Details window
Steps To Reproduce-
TagsVMA-Reviewed
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0044546)
jonalegriaesarte (reporter)
2012-01-25 10:25

Changed the target version due to other priorities.
(0045216)
vmromanos (developer)
2012-02-17 09:26

Could you describe what is wrong in this window?
(0045221)
dmitry_mezentsev (developer)
2012-02-17 10:11

Victor,
Just put yourself in the shoes of someone who is looking at the window with this name and how would you expect it to be sorted, especially in the grid. It is a very powerful tool if we do it properly.
As a reference I would take General Ledger Journal report output, so that we have Acc. Schema, Date, Period, Account, Debit, Credit, Currency, DSC, main accounting dimensions. At the same time I would hide too internal info like Table, Posting Type (not sure what it is about).
http://planet.openbravo.com/?p=44607 [^] this post can help also.
(0049915)
naiaramartinez (developer)
2012-06-19 13:08

Test Plan:
 Go to Accounting Transactions Details window. Notice that some fields have been hidden, and the window has been reorganized. Now the information is shown in much more clear way.
(0050003)
hgbot (developer)
2012-06-22 08:47

Repository: erp/devel/pi
Changeset: 7d29021e833bab0e55a200eca5f5c4412727b69c
Author: Naiara Martinez <naiara.martinez <at> openbravo.com>
Date: Tue Jun 19 13:06:16 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7d29021e833bab0e55a200eca5f5c4412727b69c [^]

Fixed bug 18845: Accounting Transactions Details default layout wasn't optimized

---
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0050004)
hgbot (developer)
2012-06-22 08:47

Repository: erp/devel/pi
Changeset: bdfd111611126cba722bd2c7f71620a9d214432d
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Fri Jun 22 08:45:46 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bdfd111611126cba722bd2c7f71620a9d214432d [^]

Related to issue 18845: changes after merge - ignoreinwad column

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0050008)
mirurita (developer)
2012-06-22 09:02

The new layout of 'Accounting Transactions Details' window has been designed and approved by Dmitry.
(0050153)
hudsonbot (developer)
2012-06-27 05:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf3a7135839f [^]

Maturity status: Test
(0050154)
hudsonbot (developer)
2012-06-27 05:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf3a7135839f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-10-24 10:25 dmitry_mezentsev New Issue
2011-10-24 10:25 dmitry_mezentsev Assigned To => psarobe
2011-10-24 10:25 dmitry_mezentsev Modules => Core
2011-11-30 17:35 psarobe Target Version 3.0MP6 => 3.0MP7
2011-12-22 16:37 psarobe Assigned To psarobe => jonalegriaesarte
2011-12-30 10:26 jonalegriaesarte Target Version 3.0MP7 => 3.0MP8
2012-01-25 10:25 jonalegriaesarte Note Added: 0044546
2012-01-25 10:25 jonalegriaesarte Target Version 3.0MP8 => 3.0MP9
2012-02-15 13:17 jonalegriaesarte Target Version 3.0MP9 =>
2012-02-15 19:03 iciordia Assigned To jonalegriaesarte => vmromanos
2012-02-17 09:26 vmromanos Note Added: 0045216
2012-02-17 09:26 vmromanos Assigned To vmromanos => dmitry_mezentsev
2012-02-17 09:26 vmromanos Status new => feedback
2012-02-17 09:26 vmromanos Tag Attached: VMA-Reviewed
2012-02-17 10:11 dmitry_mezentsev Note Added: 0045221
2012-02-17 10:11 dmitry_mezentsev Status feedback => new
2012-02-17 10:12 dmitry_mezentsev Assigned To dmitry_mezentsev => vmromanos
2012-05-10 12:13 gorka_gil Assigned To vmromanos => mirurita
2012-06-13 11:15 naiaramartinez Assigned To mirurita => naiaramartinez
2012-06-18 11:31 naiaramartinez Status new => scheduled
2012-06-18 11:31 naiaramartinez fix_in_branch => pi
2012-06-19 13:08 naiaramartinez Note Added: 0049915
2012-06-22 08:47 hgbot Checkin
2012-06-22 08:47 hgbot Note Added: 0050003
2012-06-22 08:47 hgbot Status scheduled => resolved
2012-06-22 08:47 hgbot Resolution open => fixed
2012-06-22 08:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7d29021e833bab0e55a200eca5f5c4412727b69c [^]
2012-06-22 08:47 hgbot Checkin
2012-06-22 08:47 hgbot Note Added: 0050004
2012-06-22 09:02 mirurita Note Added: 0050008
2012-06-22 09:02 mirurita Status resolved => closed
2012-06-22 09:02 mirurita Fixed in Version => 3.0MP13
2012-06-27 05:29 hudsonbot Checkin
2012-06-27 05:29 hudsonbot Note Added: 0050153
2012-06-27 05:29 hudsonbot Checkin
2012-06-27 05:29 hudsonbot Note Added: 0050154


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker